Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Functions | Variables
baseapi.cpp File Reference
`#include "allheaders.h"`
`#include "baseapi.h"`
`#include "resultiterator.h"`
`#include "mutableiterator.h"`
`#include "thresholder.h"`
`#include "tesseractclass.h"`
`#include "pageres.h"`
`#include "paragraphs.h"`
`#include "tessvars.h"`
`#include "control.h"`
`#include "pgedit.h"`
`#include "paramsd.h"`
`#include "output.h"`
`#include "globals.h"`
`#include "edgblob.h"`
`#include "equationdetect.h"`
`#include "tessbox.h"`
`#include "imgs.h"`
`#include "imgtiff.h"`
`#include "makerow.h"`
`#include "permute.h"`
`#include "otsuthr.h"`
`#include "osdetect.h"`
`#include "params.h"`
`#include "strngs.h"`
`#include <glob.h>`
`#include <libgen.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes

struct | tesseract::TESS_CHAR

## Namespaces

namespace | tesseract

## Macros

#define | _(x) (x)

## Functions

int | tesseract::CubeAPITest (Boxa *boxa_blocks, Pixa *pixa_blocks, Boxa *boxa_words, Pixa *pixa_words, const FCOORD &reskew, Pix *page_pix, PAGE_RES *page_res)
TBLOB * | tesseract::make_tesseract_blob (float baseline, float xheight, float descender, float ascender, bool numeric_mode, Pix *pix)

## Variables

const int | tesseract::kMinRectSize = 10
const char | tesseract::kTesseractReject = '~'
const char | tesseract::kUNLVReject = '~'
const char | tesseract::kUNLVSuspect = '^'
const char * | tesseract::kInputFile = "noname.tif"
const char * | tesseract::kOldVarsFile = "failed_vars.txt"
const int | tesseract::kMaxIntSize = 22
const int | tesseract::kMinCredibleResolution = 70
| Minimum believable resolution.
const int | tesseract::kMaxCredibleResolution = 2400
const int | tesseract::kNumbersPerBlob = 5
const int | tesseract::kBytesPerNumber = 5
const int | tesseract::kBytesPerBlob = kNumbersPerBlob * (kBytesPerNumber + 1) + 1
const int | tesseract::kBytesPerBoxFileLine = (kBytesPerNumber + 1) * kNumbersPerBlob + 1
const int | tesseract::kBytesPer64BitNumber = 20
const int | tesseract::kMaxBytesPerLine
const int | tesseract::kUniChs []
const int | tesseract::kLatinChs []

## Macro Definition Documentation

#define _ | ( |  | x | ) | (x)

Definition at line 32 of file baseapi.cpp.